import React from 'react';
import PropTypes from 'prop-types';
import { COMPONENTS } from 'common/ui-labels';


function SubmitButtons(props) {
    const { submit, invalid, close, saveDataId, cancelDataId, saveDataCy, cancelDataCy } = props;
    return (
        <div className="Form-Buttons">
            <button
                type="button"
                onClick={submit}
                disabled={invalid}
                data-id={saveDataId}
                data-cy={saveDataCy}
            >
                {COMPONENTS.BUTTONS.SAVE}
            </button>
            <button
                type="button"
                data-id={cancelDataId}
                data-cy={cancelDataCy}
                onClick={close}
            >
                {COMPONENTS.BUTTONS.CANCEL}
            </button>
        </div>
    );
}

SubmitButtons.propTypes = {
    close: PropTypes.func,
    submit: PropTypes.func,
    invalid: PropTypes.bool,
    saveDataId: PropTypes.string,
    cancelDataId: PropTypes.string,
    saveDataCy: PropTypes.string,
    cancelDataCy: PropTypes.string,
};

SubmitButtons.defaultProps = {
    close: () => {},
    submit: () => {},
    invalid: true,
    saveDataId: undefined,
    cancelDataId: undefined,
    saveDataCy: undefined,
    cancelDataCy: undefined,
};

export default SubmitButtons;
