import React from 'react';
import PropTypes from 'prop-types';
import { COMPONENTS } from 'common/ui-labels';


export default function Buttons(props) {
    const { submit, submitted, invalid, close } = props;

    return (
        <div className="Form-Buttons">
            <button
                type="button"
                data-id="trackable-edit-update-save"
                onClick={() => { submit(); }}
                disabled={invalid || submitted}
            >
                <div
                    className={`${submitted ? 'spinner' : ''}`}
                    style={{ position: 'relative' }}
                >
                    {COMPONENTS.BUTTONS.SAVE}
                </div>
            </button>
            <button
                type="button"
                data-id="trackable-edit-update-close"
                onClick={close}
                disabled={submitted}
            >
                {COMPONENTS.BUTTONS.CANCEL}
            </button>
        </div>
    );
}

Buttons.propTypes = {
    submit: PropTypes.func,
    close: PropTypes.func,
    submitted: PropTypes.bool,
    invalid: PropTypes.bool,
};

Buttons.defaultProps = {
    submit: () => {},
    close: () => {},
    submitted: false,
    invalid: true,
};
