import React from 'react';
import axios from 'axios';

class LevelsTab extends React.Component {
    constructor() {
        super();
        this.state = {
            location_name: 'location',
            sublocation_name: 'sublocation',
        };
        this.handleChange1 = this.handleChange1.bind(this);
        this.handleChange2 = this.handleChange2.bind(this);
        this.handleSubmit = this.handleSubmit.bind(this);
    }

    handleChange1(event) {
        this.setState({ location_name: event.target.value });
    }
    handleChange2(event) {
        this.setState({ sublocation_name: event.target.value });
    }
    handleSubmit() {
        axios.post('api/v2/locations/', { name: this.state.location_name })
            .then(({ data: { uid } }) => (
                axios.post('api/v2/sublocations/', { name: this.state.sublocation_name, location_uid: uid })
            ))
            .then(({ data: { uid } }) => {
                this.setState({ result: `sublocations uid: ${uid}` });
            });
        event.preventDefault();
    }

    render() {
        return (
            <div>
                <form onSubmit={this.handleSubmit}>
                    <label>
                        Create location and sublocation
                        <br />
                        Location name:
                        <input type="text" value={this.state.location_name} style={{ width: '1000px' }} onChange={this.handleChange1} />
                        <br />
                        Sublocation name:
                        <input type="text" value={this.state.sublocation_name} style={{ width: '1000px' }} onChange={this.handleChange2} />
                        <br />
                        {this.state.result}
                    </label>
                    <br />
                    <input type="submit" value="Submit" />
                </form>
            </div>
        );
    }
}

export default LevelsTab;
