import { combineReducers } from 'redux';

import companies from './companies';
import projects from './projects';
import users from './users';
import trackables from './trackables';
import groups from './groups';
import nodes from './nodes';
import notifications from './notifications';
import notificationTypes from './notificationTypes';
import zones from './zones';
import zonesPrototypes from './zonesPrototypes';
import associations from './associations';
import locations from './locations';
import sublocations from './sublocations';
import messages from './messages';
import alarms from './alarms';
import floorplans from './floorplans';
import subscribers from './subscribers';
import systemSubscribers from './systemSubscribers';
import winAnchors from './winAnchors';
import entitiesLoaded from './entitiesLoaded';


const entities = combineReducers({
    associations,
    companies,
    projects,
    trackables,
    groups,
    users,
    nodes,
    notifications,
    notificationTypes,
    zones,
    zonesPrototypes,
    locations,
    sublocations,
    messages,
    alarms,
    floorplans,
    subscribers,
    systemSubscribers,
    winAnchors,
    entitiesLoaded,
});

export default entities;
