import { MODAL_ACTIONS } from 'common/constants';

const initialState = {
    zone_type_name: null,
    open: false,
    error: {
        message: '',
        invalid: true,
        geometryIntersects: false,
    },
    vertices: {},
};

const zoneCoordinatesMode = (state = initialState, action) => {
    switch (action.type) {
        case MODAL_ACTIONS.MODAL_OPEN_ZONE_COORDINATES_REGIME:
            return {
                ...state,
                zone_type_name: action.params.zone_type_name,
                open: true,
            };
        case MODAL_ACTIONS.MODAL_CLOSE_ZONE_COORDINATES_REGIME:
            return {
                ...state,
                ...initialState,
            };
        case MODAL_ACTIONS.MODAL_ZONE_COORDINATES_ADD_VERTEX: {
            const newState = { ...state, vertices: { ...state.vertices } };
            newState.vertices[action.params.index] = action.params;
            return newState;
        }
        case MODAL_ACTIONS.MODAL_ZONE_COORDINATES_SET_ERROR: {
            return {
                ...state,
                error: action.params,
            };
        }
        case MODAL_ACTIONS.MODAL_ZONE_COORDINATES_REMOVE_VERTEX: {
            const newState = { ...state, vertices: { ...state.vertices } };
            delete newState.vertices[action.params];
            return newState;
        }
        default:
            return state;
    }
};

export default zoneCoordinatesMode;
