import axios from 'axios';

export function getUsers() {
    return axios.get('/api/v2/users/?withProjects=true').then(res => res.data.users);
}

export function getHelperLink() {
    return axios.get('/api/v2/info/helper').then(res => res.data);
}

export function getSiteMonitorLink() {
    return axios.get('/api/v2/info/site_monitor').then(res => res.data);
}

export function updateUserAccess(companyUid, projectUid, userUid, privilage) {
    const params = {
        usersAccess: [{
            uid: userUid, value: privilage,
        }],
    };
    return axios.post(`/api/v2/projects/${projectUid}/company/${companyUid}/access/?unAssignAll=true`, params)
        .then(res => res.data.projectUsersAccess[0]); // :((
}

export function deleteUser(uid) {
    return axios.delete(`/api/v2/users/${uid}/`).then(res => res.data);
}

export function createUser(params) {
    return axios.post('/api/v2/users', params).then(res => res.data.user || res.data);
}

export function updateUser(params, uid) {
    return axios.put(`/api/v2/users/${uid}/`, params).then(res => res.data.user || res.data);
}

export function validateUser(params) {
    return axios.post('/api/v2/users/validation', params).then(res => res.data);
}

export function restorePassword(email) {
    return axios.put('/api/v2/users/restorePassword/', { email }).then(res => res.data.result);
}

export async function changePassword({ uid, oldPassword, newPassword }) { // uid, oldPassword, newPassword
    return axios.put('/api/v2/users/changePassword', { uid, oldPassword, newPassword }).then(res => res);
}
